Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport
Class AbstractAVTransportService

    java.lang.Object
      org.teleal.cling.support.avtransport.AbstractAVTransportService

Direct Known Subclasses:
  AVTransportService

    public abstract class AbstractAVTransportService

extends java.lang.Object

Field Summary
`protected java.beans.PropertyChangeSupport` | `propertyChangeSupport`

Constructor Summary
`protected` | `AbstractAVTransportService()`
`protected` | `AbstractAVTransportService(java.beans.PropertyChangeSupport propertyChangeSupport)`
`protected` | `AbstractAVTransportService(java.beans.PropertyChangeSupport propertyChangeSupport, LastChange lastChange)`

Method Summary
`void` | `fireLastChange()`
`abstract java.lang.String` | `getCurrentTransportActions(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`static org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getDefaultInstanceID()`
`abstract DeviceCapabilities` | `getDeviceCapabilities(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`LastChange` | `getLastChange()`
`abstract MediaInfo` | `getMediaInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract PositionInfo` | `getPositionInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()`
`abstract TransportInfo` | `getTransportInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract TransportSettings` | `getTransportSettings(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract void` | `next(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract void` | `pause(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract void` | `play(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.String speed)`
`abstract void` | `previous(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract void` | `record(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`
`abstract void` | `seek(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.String unit, java.lang.String target)`
`abstract void` | `setAVTransportURI(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.String currentURI, java.lang.String currentURIMetaData)`
`abstract void` | `setNextAVTransportURI(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.String nextURI, java.lang.String nextURIMetaData)`
`abstract void` | `setPlayMode(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.String newPlayMode)`
`abstract void` | `setRecordQualityMode(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, java.lang.String newRecordQualityMode)`
`abstract void` | `stop(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyChangeSupport

    protected final java.beans.PropertyChangeSupport propertyChangeSupport

Constructor Detail

### AbstractAVTransportService

    protected AbstractAVTransportService()

### AbstractAVTransportService

    protected AbstractAVTransportService(java.beans.PropertyChangeSupport propertyChangeSupport)

### AbstractAVTransportService

    protected AbstractAVTransportService(java.beans.PropertyChangeSupport propertyChangeSupport,
                                         LastChange lastChange)

Method Detail

### getLastChange

    public LastChange getLastChange()

### fireLastChange

    public void fireLastChange()

### getPropertyChangeSupport

    public java.beans.PropertyChangeSupport getPropertyChangeSupport()

### getDefaultInstanceID

    public static org.teleal.cling.model.types.UnsignedIntegerFourBytes getDefaultInstanceID()

### setAVTransportURI

    public abstract void setAVTransportURI(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                           java.lang.String currentURI,
                                           java.lang.String currentURIMetaData)
                                    throws AVTransportException

  Throws:
    `AVTransportException`

### setNextAVTransportURI

    public abstract void setNextAVTransportURI(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                               java.lang.String nextURI,
                                               java.lang.String nextURIMetaData)
                                        throws AVTransportException

  Throws:
    `AVTransportException`

### getMediaInfo

    public abstract MediaInfo getMediaInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                                    throws AVTransportException

  Throws:
    `AVTransportException`

### getTransportInfo

    public abstract TransportInfo getTransportInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                                            throws AVTransportException

  Throws:
    `AVTransportException`

### getPositionInfo

    public abstract PositionInfo getPositionInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                                          throws AVTransportException

  Throws:
    `AVTransportException`

### getDeviceCapabilities

    public abstract DeviceCapabilities getDeviceCapabilities(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                                                      throws AVTransportException

  Throws:
    `AVTransportException`

### getTransportSettings

    public abstract TransportSettings getTransportSettings(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                                                    throws AVTransportException

  Throws:
    `AVTransportException`

### stop

    public abstract void stop(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                       throws AVTransportException

  Throws:
    `AVTransportException`

### play

    public abstract void play(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                              java.lang.String speed)
                       throws AVTransportException

  Throws:
    `AVTransportException`

### pause

    public abstract void pause(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                        throws AVTransportException

  Throws:
    `AVTransportException`

### record

    public abstract void record(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                         throws AVTransportException

  Throws:
    `AVTransportException`

### seek

    public abstract void seek(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                              java.lang.String unit,
                              java.lang.String target)
                       throws AVTransportException

  Throws:
    `AVTransportException`

### next

    public abstract void next(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                       throws AVTransportException

  Throws:
    `AVTransportException`

### previous

    public abstract void previous(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                           throws AVTransportException

  Throws:
    `AVTransportException`

### setPlayMode

    public abstract void setPlayMode(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                     java.lang.String newPlayMode)
                              throws AVTransportException

  Throws:
    `AVTransportException`

### setRecordQualityMode

    public abstract void setRecordQualityMode(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                                              java.lang.String newRecordQualityMode)
                                       throws AVTransportException

  Throws:
    `AVTransportException`

### getCurrentTransportActions

    public abstract java.lang.String getCurrentTransportActions(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId)
                                                         throws AVTransportException

  Throws:
    `AVTransportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.